shibboleth-3.5.0

Public Member Functions | Public Attributes | List of all members
shibsp::XMLConfigImpl Class Reference
Inheritance diagram for shibsp::XMLConfigImpl:

## Public Member Functions
| XMLConfigImpl (const xercesc::DOMElement *e, bool first, XMLConfig *outer, xmltooling::logging::Category &log)
boost::shared_ptr< Application > | findExternalOverride (const char *, const XMLConfig *)
xercesc::DOMNodeFilter::FilterAction | acceptNode (const xercesc::DOMNode *node) const
void | setDocument (xercesc::DOMDocument *doc)
Public Member Functions inherited from shibsp::DOMPropertySet
const PropertySet * | getParent () const
| Returns parent of this PropertySet, if any. More...
void | setParent (const PropertySet *parent)
| Establishes a "parent" PropertySet to supply inherited settings. More...
std::pair< bool, bool > | getBool (const char *name, const char *ns=nullptr) const
| Returns a boolean-valued property. More...
std::pair< bool, const char * > | getString (const char *name, const char *ns=nullptr) const
| Returns a string-valued property. More...
std::pair< bool, const XMLCh * > | getXMLString (const char *name, const char *ns=nullptr) const
| Returns a Unicode string-valued property. More...
std::pair< bool, unsigned int > | getUnsignedInt (const char *name, const char *ns=nullptr) const
| Returns an unsigned integer-valued property. More...
std::pair< bool, int > | getInt (const char *name, const char *ns=nullptr) const
| Returns an integer-valued property. More...
const PropertySet * | getPropertySet (const char *name, const char *ns=shibspconstants::ASCII_SHIBSPCONFIG_NS) const
| Returns a nested property set. More...
const xercesc::DOMElement * | getElement () const
| Returns a DOM element representing the property container, if any. More...
void | load (const xercesc::DOMElement *e, xmltooling::logging::Category *log=nullptr, xercesc::DOMNodeFilter *filter=nullptr, const Remapper *remapper=nullptr, const xmltooling::QName *unsetter=nullptr)
| Loads the property set from a DOM element. More...
virtual const PropertySet * | getParent () const =0
| Returns parent of this PropertySet, if any. More...
virtual void | setParent (const PropertySet *parent)=0
| Establishes a "parent" PropertySet to supply inherited settings. More...
virtual std::pair< bool, bool > | getBool (const char *name, const char *ns=nullptr) const =0
| Returns a boolean-valued property. More...
virtual std::pair< bool, const char * > | getString (const char *name, const char *ns=nullptr) const =0
| Returns a string-valued property. More...
virtual std::pair< bool, const XMLCh * > | getXMLString (const char *name, const char *ns=nullptr) const =0
| Returns a Unicode string-valued property. More...
virtual std::pair< bool, unsigned int > | getUnsignedInt (const char *name, const char *ns=nullptr) const =0
| Returns an unsigned integer-valued property. More...
virtual std::pair< bool, int > | getInt (const char *name, const char *ns=nullptr) const =0
| Returns an integer-valued property. More...
virtual const PropertySet * | getPropertySet (const char *name, const char *ns=shibspconstants::ASCII_SHIBSPCONFIG_NS) const =0
| Returns a nested property set. More...
virtual const xercesc::DOMElement * | getElement () const =0
| Returns a DOM element representing the property container, if any. More...

## Public Attributes
boost::scoped_ptr< SecurityPolicyProvider > | m_policy
std::vector< boost::tuple< std::string, std::string, std::string > > | m_transportOptions
std::map< std::string, Remoted * > | m_listenerMap
boost::scoped_ptr< RequestMapper > | m_requestMapper
boost::scoped_ptr< ProtocolProvider > | m_protocolProvider
boost::scoped_ptr< xmltooling::Mutex > | m_appMapLock
std::map< std::string, boost::shared_ptr< Application > > | m_appmap
std::vector< std::string > | m_externalAppPaths

## Additional Inherited Members
Protected Member Functions inherited from shibsp::DOMPropertySet
bool | setProperty (const char *name, const char *val, const char *ns=nullptr)
| Post-load injection of a property, for use by subclasses. More...

The documentation for this class was generated from the following file:

- shibsp/impl/XMLServiceProvider.h